List Subscription
curl --request GET \
--url 'https://api.payaza.africa/live/subscription/api/v1/subscriptions?page={page}&size={size}&status={status}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions?page={page}&size={size}&status={status}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions?page={page}&size={size}&status={status}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"content": [
{
"id": 132,
"customerId": "CUST-12345",
"customerEmail": "customer@example.com",
"status": "ACTIVE",
"nextChargeDate": "2026-07-30T04:07:06.026488"
}
],
"page": 0,
"size": 10,
"totalElements": 1,
"totalPages": 1
}
}Subscription Reads
List Subscription
It retrieves a paginated list of subscriptions belonging to the authenticated merchant.
GET
/
subscription
/
api
/
v1
/
subscriptions?page=
{page}
&size=
{size}
&status=
{status}
List Subscription
Authorizations
Payaza {{Public API Key in Base 64}}
Query Parameters
The page number to be retrieved.
The number of records per page.
Filter subscriptions by status.
Response
Request Successful
⌘I